###################################################
### chunk number 1: 
###################################################
#line 374 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
options(prompt = "R> ", continue = "+  ", width = 70, useFancyQuotes = FALSE)


###################################################
### chunk number 2: 
###################################################
#line 378 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
library("MFSAS")
plan.mf <- Ocmult(rn=c(2,4,3), n=30)
plan.mf


###################################################
### chunk number 3: 
###################################################
#line 388 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
rn <- c(2,4,3)
names(rn) <- c("Critical","Major","Minor")
plan.mf <- Ocmult(rn=rn, n=30)
plan.mf


###################################################
### chunk number 4: 
###################################################
#line 402 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
plan.hf<- Ocmult(rn=c(2,3), n=15, N=100, type="hyper")
plan.hf


###################################################
### chunk number 5: 
###################################################
#line 414 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
plan.ms <- Ocmult(rn=3, m=5, stype="seq", pd=seq(0, 0.99, 0.01))
plan.ms


###################################################
### chunk number 6: 
###################################################
#line 422 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
rn <- c(5,2)
names(rn) <- c("Marginal","Bad")
plan.hs <- Ocmult(rn=rn, m=4, N=100, type="hyper",stype="seq")
plan.hs


###################################################
### chunk number 7: fig2
###################################################
#line 440 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
 plot(plan.ms)


###################################################
### chunk number 8: fig3
###################################################
#line 464 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
  x.mn <- Ocmult(n=8, rn=3, pd=seq(0, 0.22, 0.01))
  x.mh <- Ocmult(n=8, rn=3, N=50, type="hyper", pd=seq(0, 0.2, 0.02))
  x.nmn <- Ocmult(rn=2,m=4, stype="seq", pd=seq(0, 0.22, 0.01))
  x.nmh <- Ocmult(rn=2, m=4, N=50, type="hyper", stype="seq", pd=seq(0, 0.2, 0.02))
  par(mfrow=c(1,2))
  main = "Fixed Sampling Plan \nn = 8, rn = 3"
  plot(x.mn, type="l", xlim=c(0, 0.2), ylim=c(0.75, 1), main=main)
  grid(lty="solid")
  points(x.mh@pd, x.mh@pa, col = 3)
  legend(0.01, 0.81, c("binomial", "hypergeometric"), col = c(1,3), 
     lty = c(1, -1), pch = c(-1, 1), bg = 'gray95')
  main = "Sequential Sampling Plan \nm = 4, rn = 2"
  plot(x.nmn, type="l", xlim=c(0, 0.2), ylim=c(0.7, 1), main=main) 
  grid(lty="solid")
  points(x.nmh@pd, x.nmh@pa, col= 3 )
  legend(0.01, 0.77, c("negative binomial", "negative hypergeometric"), col = c(1,3), 
     lty = c(1,-1),  pch = c(-1, 1), bg = 'gray96')


###################################################
### chunk number 9: fig4
###################################################
#line 502 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
 par(mfrow=c(1,2))
  px <- matrix(c(seq(0,0.2, 0.01),seq(0, 0.8, 0.04)),ncol=2)
  p.multinom <- Ocmult(n=15,rn=c(2,10), pd=px)
  persp(p.multinom, col="light blue")
  contour(p.multinom, nlevel=4)


###################################################
### chunk number 10: 
###################################################
#line 526 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
  px <- matrix(c(seq(0, 0.5, 0.1), seq(0, 0.2, 0.04),seq(0, 0.1, 0.02)), ncol=3)
  rn <- c(5,4,2)
  names(rn) <- c("Critical","Major","Minor")
  p.multinom <- Ocmult(n=30,rn=rn, pd=px)
  summary(p.multinom ,detail=TRUE )


###################################################
### chunk number 11: 
###################################################
#line 542 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
  px <- c(0.02, 0.06, 0.04, 0.06, 0.08, 0.02, 0.02, 0.08, 0.04, 0.10)
  pmh <- Ocmult(rn = c(2, 3, 2, 4), n = 20, N = 100, pd = px, type = "hyper")


###################################################
### chunk number 12: 
###################################################
#line 573 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
 rn <- c(2,3)
 names(rn) <- c("Marginal","Bad")
 assess.multi(rn=rn, m=5, PRP = c(0.05,0.06, 0.95), CRP = c(0.14,0.18, 0.1), 
  stype="seq" )


###################################################
### chunk number 13: 
###################################################
#line 597 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
  find.multi.plan(PRP=c(0.06, 0.04, 0.06, 0.8), CRP=c(0.14, 0.16, 0.2, 0.1), 
   N= 100,type = "hyper", stype="seq") 


###################################################
### chunk number 14: 
###################################################
#line 612 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
  find.multi.plan(PRP=c(0.06, 0.04, 0.06, 0.8), CRP=c(0.14, 0.16, 0.2, 0.1), 
   N= 100,type = "hyper") 


###################################################
### chunk number 15: 
###################################################
#line 777 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
 X <- c(1,3,4)
 n <- 15
 M <- c(8, 10, 14)
 N <- 100
 pr <- pmultihyper(X, n, M, N)
 pr


###################################################
### chunk number 16: 
###################################################
#line 795 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
 X <- c(1, 3, 4)
 n <- 15
 pr <- c(0.08, 0.10, 0.14)
 cdf <- pmultinom(x = X, size = n, prob = pr)
 cdf


###################################################
### chunk number 17: 
###################################################
#line 806 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
 for (i in c(0:6)) 
 print(pmultihyper(X, n, 10^i*M, 10^i*N))


###################################################
### chunk number 18: 
###################################################
#line 821 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
 X <- c(2,3,4,1)
 m <- 5 
 M <-c(5,7,8,3)
 N <-130
 cdf <- pnmultihyper(X, m, M, N)
 cdf


###################################################
### chunk number 19: 
###################################################
#line 836 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
 X <- c(2,3,4,1)
 m <-5
 pr <-c(5/130, 7/130, 8/130, 3/130)
 pnmultinom(x = X, m = m, prob = pr)


###################################################
### chunk number 20: 
###################################################
#line 846 "d:/Rcompile/CRANpkg/local/2.12/MFSAS/inst/doc/MFSAS.Rnw"
for (i in c(0:6)) print(pnmultihyper(X, m, 10^i*M, 10^i*N))


